commit:     0a34a501e1fcf9f3886856738dba19ee324747d3
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 17 09:07:21 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Jan 17 09:10:04 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0a34a501

dev-ruby/coffee-rails: add ruby22

Package-Manager: portage-2.2.26

 dev-ruby/coffee-rails/coffee-rails-4.1.1-r1.ebuild | 33 ++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/dev-ruby/coffee-rails/coffee-rails-4.1.1-r1.ebuild 
b/dev-ruby/coffee-rails/coffee-rails-4.1.1-r1.ebuild
new file mode 100644
index 0000000..d5f7425
--- /dev/null
+++ b/dev-ruby/coffee-rails/coffee-rails-4.1.1-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+inherit ruby-fakegem versionator
+
+DESCRIPTION="Coffee Script adapter for the Rails asset pipeline"
+HOMEPAGE="https://github.com/rails/coffee-rails";
+SRC_URI="https://github.com/rails/coffee-rails/archive/v${PV}.tar.gz -> 
${PV}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~amd64 ~arm"
+
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/coffee-script-2.2.0
+       >dev-ruby/railties-4:* <dev-ruby/railties-5.1:*"
+
+all_ruby_prepare() {
+       # Avoid dependency on git and bundler.
+       sed -i -e 's/git ls-files/echo/' \
+               -e '/bundler/I s:^:#:' Rakefile || die
+
+       # Make sure a consistent rails version is loaded.
+       sed -i -e '4igem "rails"' -e '/bundler/ s:^:#:' test/test_helper.rb || 
die
+}

Reply via email to